/***********************************************************************
 *  $RCSfile: Util.cs.in,v $
 *
 *  Copyright (C) 2004 Novell, Inc.
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this program; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Calvin Gaisford <cgaisford@novell.com>
 *
 ***********************************************************************/
using System;

using Gtk;
using Gdk;
using Gnome;

namespace Novell.AddressBook.UI.gtk
{
	internal class Util
	{
		internal static string prefix = "/home/james/builds/install_dir";
		internal static string gladedir = "/home/james/builds/install_dir/share/ifolder/glade";
		internal static string imagesdir = "/home/james/builds/install_dir/share/ifolder/images";
		internal static string helpdir = "/home/james/builds/install_dir/share/ifolder/help";

		internal static string GladePath(string gladeStr)
		{
			return string.Format("{0}/{1}", gladedir, gladeStr);
		}

		internal static string ImagesPath(string imgStr)
		{
			return string.Format("{0}/{1}", imagesdir, imgStr);
		}

		internal static string HelpURL(string helpFile)
		{
			return string.Format("file://{0}/en/doc/user/data/{1}", helpdir, helpFile);
		}

		internal static void ShowHelp(string helpFile, Gtk.Window parent)
		{
			try
			{
				Gnome.Url.Show(HelpURL(helpFile));
			}
			catch(Exception e)
			{
				MessageDialog med = new MessageDialog(parent,
					DialogFlags.DestroyWithParent | DialogFlags.Modal,
					MessageType.Error,
					ButtonsType.Close,
					string.Format("Error displaying help file:{0}", e));
				med.Title = "Help file error";
				med.Run();
				med.Hide();
			}
		}

		internal static void ShowAbout()
		{
			try
			{
				// Replace this with the logo graphic when we get it
				//Pixbuf logo = new Pixbuf(ImagesPath("ifolder.png"));
				string[] authors = new string[]
				{
					"Jared Allen <jpallen@novell.com>",
					"Brady Anderson <banderso@novell.com>",
					"James Bell",
					"Doug Eddy",
					"Calvin Gaisford <cgaisford@novell.com>",
					"Bruce Getter",
					"Mike Lasky",
					"Rob Lyon",
					"Dale Olds",
					"Sharon Smith",
					"Joe Stark",
					"Paul Thomas",
					"Russ Young",
				};
				string[] documentors = new string[]
				{
					"Catherine Craft",
					"Sean Beall"
				};

				About about = new About("Novell Address Book", "0.10",
										"Copyright (C) 2004 Novell, Inc.",
										"The Novell Common Address Book. A vCard 3.0 compliant address book supporting private, public, and shared address books.",
										authors,
										documentors,
										"Not translated yet",
										null);
				about.Show();
			}
			catch(Exception e)
			{
			}
		}
	}
}
